## r-cran-selectr 0.4

=== DESCRIPTION ===
Package: selectr
Type: Package
Title: Translate CSS Selectors to XPath Expressions
Version: 0.4-1
Date: 2018-04-05
Authors@R: c(person("Simon", "Potter",
                    role = c("aut", "trl", "cre"),
                    email = "simon@sjp.co.nz"),
             person("Simon", "Sapin", role = "aut"),
             person("Ian", "Bicking", role = "aut"))
License: BSD_3_clause + file LICENCE
Depends: R (>= 3.0)
Imports: methods, stringr, R6
Suggests: testthat, XML, xml2
URL: https://sjp.co.nz/projects/selectr
BugReports: https://github.com/sjp/selectr/issues
Description: Translates a CSS3 selector into an equivalent XPath
  expression. This allows us to use CSS selectors when working with
  the XML package as it can only evaluate XPath expressions. Also
  provided are convenience functions useful for using CSS selectors on
  XML nodes. This package is a port of the Python package 'cssselect'
  (<https://cssselect.readthedocs.io/>).
NeedsCompilation: no
Packaged: 2018-04-06 00:16:15 UTC; simon
Author: Simon Potter [aut, trl, cre],
  Simon Sapin [aut],
  Ian Bicking [aut]
Maintainer: Simon Potter <simon@sjp.co.nz>
Repository: CRAN
Date/Publication: 2018-04-06 04:14:27 UTC

## r-cran-selectr 0.4-1

=== debian/changelog ===
r-cran-selectr (0.4-1-1) unstable; urgency=medium

  * Initial release (closes: #912534)

 -- Dylan Aïssi <daissi@debian.org>  Thu, 01 Nov 2018 08:03:50 +0100

=== debian/control ===
Source: r-cran-selectr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-stringr,
               r-cran-r6
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-selectr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-selectr.git
Homepage: https://cran.r-project.org/package=selectr

Package: r-cran-selectr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Translate CSS Selectors to XPath Expressions
 Translates a CSS3 selector into an equivalent XPath
 expression. This allows one to use CSS selectors when working with
 the XML package as it can only evaluate XPath expressions. Also
 provided are convenience functions useful for using CSS selectors on
 XML nodes. This package is a port of the Python package 'cssselect'
 (<https://cssselect.readthedocs.io/>).

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/selectr_([-\d.]*)\.tar\.gz

## r-cran-selectr 0.4-2

=== debian/changelog ===
r-cran-selectr (0.4-2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 16:47:47 +0000

r-cran-selectr (0.4-2-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 08:14:27 +0200

r-cran-selectr (0.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.
  * Remove extra license file
  * Test-Depends: r-cran-xml, r-cran-xml2

 -- Andreas Tille <tille@debian.org>  Thu, 28 Nov 2019 10:40:57 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-stringr,
                r-cran-r6
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-selectr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-selectr.git
 Homepage: https://cran.r-project.org/package=selectr
+Rules-Requires-Root: no
 
 Package: r-cran-selectr
 Architecture: all

## r-cran-selectr 0.5

=== DESCRIPTION ===
Package: selectr
Type: Package
Title: Translate CSS Selectors to XPath Expressions
Version: 0.5-1
Authors@R: c(person("Simon", "Potter",
                    role = c("aut", "trl", "cre"),
                    email = "simon@sjp.co.nz"),
             person("Simon", "Sapin", role = "aut"),
             person("Ian", "Bicking", role = "aut"))
License: BSD_3_clause + file LICENCE
Depends: R (>= 3.0)
Imports: methods, stringr, R6
Suggests: testthat, XML, xml2
URL: https://sjp.co.nz/projects/selectr/
BugReports: https://github.com/sjp/selectr/issues
Description: Translates a CSS selector into an equivalent XPath
  expression. This allows us to use CSS selectors when working with
  the XML package as it can only evaluate XPath expressions. Also
  provided are convenience functions useful for using CSS selectors on
  XML nodes. This package is a port of the Python package 'cssselect'
  (<https://cssselect.readthedocs.io/>).
NeedsCompilation: no
Packaged: 2025-12-17 07:03:48 UTC; codespace
Author: Simon Potter [aut, trl, cre],
  Simon Sapin [aut],
  Ian Bicking [aut]
Maintainer: Simon Potter <simon@sjp.co.nz>
Repository: CRAN
Date/Publication: 2025-12-17 09:00:02 UTC

## r-cran-selectr 0.5-1

=== debian/changelog ===
r-cran-selectr (0.5-1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 07 Jan 2026 12:08:03 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-stringr,
-               r-cran-r6
-Standards-Version: 4.5.0
+               r-cran-r6,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-selectr
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-selectr.git
 Homepage: https://cran.r-project.org/package=selectr

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-testthat,
        r-cran-xml,
        r-cran-xml2
Restrictions: allow-stderr
